Skip to main content
POST
/
v3
/
analytics
/
feature-impact
Get feature impact
curl --request POST \
  --url https://{host}/v3/analytics/feature-impact \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data_source": {
    "env_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "num_samples": 500000
  },
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "num_refs": 500000,
  "num_iterations": 50000,
  "ci_level": 0.5,
  "min_support": 2,
  "output_columns": [
    "<string>"
  ],
  "ref_env_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "model_task": "<string>",
    "model_input_type": "<string>",
    "output_name": "sentiment",
    "tokens": {},
    "min_support": 15,
    "num_inputs": 200,
    "env_name": "bank_churn",
    "env_uuid": "bcb8e333-39d1-4ba5-a485-dec1591f7122",
    "created_at": "2023-12-12T18:21:07.616Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Feature Impact api request body

data_source
object
required

Feature Impact api data sources

model_id
string<uuid>
required

Unique ID of model.

num_refs
integer

Number of reference points used in the explanations. Only for non text inputs

Required range: 1 <= x <= 1000000
num_iterations
integer

The maximum number of ablated model inferences per feature. Only for non text inputs

Required range: 1 <= x <= 100000
ci_level
number

The confidence interval level (between 0 and 1) to use for all confidence intervals computed. Only for non text inputs

Required range: 0 <= x <= 1
min_support
integer

Specify a minimum support to retrieve top words. Only for Text data (NLP models)

Required range: x >= 1
output_columns
string[]

Only used for NLP (TEXT inputs) models. Output column names to compute feature impact on. If None, use all.

ref_env_id
string<uuid>

environment to use for the reference dataset.

Response

Feature Impact ran successfully on the given data

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object

Feature Impact api response (text or tabular).